Package org.w3c.tidy

# Class TagCheckImpl

java.lang.Object
org.w3c.tidy.TagCheckImpl

public final class TagCheckImpl extends Object
Check HTML attributes implementation.

Version:
  $Revision: 747 $ ($Author: fgiust $)
Author:
  Dave Raggett dsr@w3.org , Andy Quick ac.quick@sympatico.ca (translation to Java), Fabrizio Giustina

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static class`
`TagCheckImpl.CheckAnchor`
Checker implementation for anchors.
`static class`
`TagCheckImpl.CheckAREA`
Checker implementation for area.
`static class`
`TagCheckImpl.CheckCaption`
Checker implementation for table caption.
`static class`
`TagCheckImpl.CheckForm`
Checker implementation for forms.
`static class`
`TagCheckImpl.CheckHR`
Checker implementation for hr.
`static class`
`TagCheckImpl.CheckHTML`
Checker implementation for html tag.
`static class`
`TagCheckImpl.CheckIMG`
Checker implementation for image tags.
`static class`
`TagCheckImpl.CheckLINK`
add missing type attribute when appropriate.
`static class`
`TagCheckImpl.CheckMap`
Checker implementation for image maps.
`static class`
`TagCheckImpl.CheckMeta`
Checker implementation for meta tags.
`static class`
`TagCheckImpl.CheckSCRIPT`
Checker implementation for script tags.
`static class`
`TagCheckImpl.CheckSTYLE`
Checker implementation for style tags.
`static class`
`TagCheckImpl.CheckTABLE`
Checker implementation for table.
`static class`
`TagCheckImpl.CheckTableCell`
Checker implementation for table cells.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final TagCheck`
`ANCHOR`
CheckAnchor instance.
`static final TagCheck`
`AREA`
CheckAREA instance.
`static final TagCheck`
`CAPTION`
CheckCaption instance.
`static final TagCheck`
`FORM`
CheckForm instance.
`static final TagCheck`
`HR`
CheckHR instance.
`static final TagCheck`
`HTML`
CheckHTML instance.
`static final TagCheck`
`IMG`
CheckIMG instance.
`static final TagCheck`
`LINK`
CheckLINK instance.
`static final TagCheck`
`MAP`
CheckMap instance.
`static final TagCheck`
`META`
CheckMeta instance.
`static final TagCheck`
`SCRIPT`
CheckSCRIPT instance.
`static final TagCheck`
`STYLE`
CheckSTYLE instance.
`static final TagCheck`
`TABLE`
CheckTABLE instance.
`static final TagCheck`
`TABLECELL`
CheckTableCell instance.

## Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### HTML

public static final TagCheck HTML
CheckHTML instance.

### SCRIPT

public static final TagCheck SCRIPT
CheckSCRIPT instance.

### TABLE

public static final TagCheck TABLE
CheckTABLE instance.

### CAPTION

public static final TagCheck CAPTION
CheckCaption instance.

### IMG

public static final TagCheck IMG
CheckIMG instance.

### AREA

public static final TagCheck AREA
CheckAREA instance.

### ANCHOR

public static final TagCheck ANCHOR
CheckAnchor instance.

### MAP

public static final TagCheck MAP
CheckMap instance.

### STYLE

public static final TagCheck STYLE
CheckSTYLE instance.

### TABLECELL

public static final TagCheck TABLECELL
CheckTableCell instance.

### LINK

public static final TagCheck LINK
CheckLINK instance.

### HR

public static final TagCheck HR
CheckHR instance.

### FORM

public static final TagCheck FORM
CheckForm instance.

### META

public static final TagCheck META
CheckMeta instance.